org.apache.lucene.util.packed

## Class AppendingLongBuffer.Iterator

- java.lang.Object
- - org.apache.lucene.util.packed.AppendingLongBuffer.Iterator

- Enclosing class:
    AppendingLongBuffer

      public final class AppendingLongBuffer.Iterator
      extends Object

  A long iterator.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()` Whether or not there are remaining values.
    `long` | `next()` Return the next long in the buffer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### hasNext

          public final boolean hasNext()

      Whether or not there are remaining values.

    - #### next

          public final long next()

      Return the next long in the buffer.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.